ServerEvents.recipes(event => {
    event.custom({
  "type": "farmersdelight:cutting",
  "ingredients": [
    {
      "item": "farmersdelight:ham"
    }
  ],
  "tool": {
    "tag": "forge:tools/knives"
  },
  "result": [
    {
      "item": "ddc:cut_ham",
      "count": 3
    },
    {
      "item": "minecraft:bone"
    }
  ]
})
})